XPAT(1)

NAME
xpat - graphic pattern viewer

SYNOPSIS
xpat [-l file_name] [-xor] [-install] [-force]

DESCRIPTION
Xpat is a pattern viewer. All functionnalities can be accessed through different menus. Xpat works under Motif and X11r6. When entering Xpat, the main window appears and shows 5 different menus on the top bar. These menus can be entered by simply clicking on the mouse left button. Here is the description of these menus.

File
    Open : load an existing pattern file (see pat(5)).
    Quit : quit xpat.

Edit
    Identify : identify a selected pattern.
    Connected : highlight a selected pattern.
    Search : search a pattern.

View
    Zoom : perform zoom in, zoom out, center, fit, refresh on figure.
    Layer : select types of layers displayed.
    Map : show cursor position in the entire figure.
    Arrows : show arrows for moving at the grid step.
    Grid : Set the X,Y step of the grid if displayed.

Tools
    Message : display the last error messages

Setup
    Save or load a user defined configuration of default displayed menus.

SPECIAL KEYS

+/- Increase or decrease the time scale.

OPTIONS

-l file_name
    Load the pattern file file_name (without extention .pat)

-xor
    Two graphic cursor methods can be used, invert or xor.

-force
    this option force all graphical objects to be displayed.

-install
    Switch to a private color map.

ENVIRONMENT VARIABLES

MBK_WORK_LIB
    indicates the path to the read directory for the session.

XPAT_PARAM_NAME (optionnal)
    indicates the path to the parameter file used by Xpat.

SEE ALSO
mbk(1), MBK_WORK_LIB(1), PAT(5), asimut(1)